#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	range-v3
Version		:	0.12.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Experimental range library for C++11/14/17

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Boost
URL		:	https://github.com/ericniebler/range-v3

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	boost-devel

Buildarch	:	noarch
#-----------------------------------------------------------------------------
%description
Range library for C++14/17/20. This code was
the basis of a formal proposal to add range
support to the C++ standard library.
That proposal evolved through a Technical
Specification, and finally into P0896R4
"The One Ranges Proposal" which was merged
into the C++20 working drafts in November 2018.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.txt
%{_libdir}/cmake/%{name}/%{name}-*.cmake

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

Buildarch	:	noarch
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/concepts/*.hpp
%{_includedir}/%{name}/meta/*.hpp
%{_includedir}/%{name}/module.modulemap
%{_includedir}/%{name}/range/v3/*.hpp
%{_includedir}/%{name}/range/v3/action/*.hpp
%{_includedir}/%{name}/range/v3/algorithm/*.hpp
%{_includedir}/%{name}/range/v3/algorithm/aux_/*.hpp
%{_includedir}/%{name}/range/v3/detail/*.hpp
%{_includedir}/%{name}/range/v3/experimental/utility/*.hpp
%{_includedir}/%{name}/range/v3/experimental/view/*.hpp
%{_includedir}/%{name}/range/v3/functional/*.hpp
%{_includedir}/%{name}/range/v3/iterator/*.hpp
%{_includedir}/%{name}/range/v3/numeric/*.hpp
%{_includedir}/%{name}/range/v3/range/*.hpp
%{_includedir}/%{name}/range/v3/utility/*.hpp
%{_includedir}/%{name}/range/v3/view/*.hpp
%{_includedir}/%{name}/std/detail/*.hpp
%{_includedir}/%{name}/std/iterator

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


cmake								\
	-B _bld							\
	-G Ninja						\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}/%{name}	\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D RANGE_V3_HEADER_CHECKS=OFF				\
	-D RANGE_V3_EXAMPLES=OFF				\
	-D RANGE_V3_PERF=OFF					\


ninja								\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot} ninja					\
	-C _bld							\
	install

#-----------------------------------------------------------------------------
%changelog
